Sumo sumo;
Integrator integrator;

boolean KEYRELEASED = true;

double[] y = new double[6];
double[] y_alt = new double[6];
double t = 0.0;
//double dt = 0.001;  //Echtzeit
double dt = 0.002;    //Doppelte Geschwindigkeit

float SKAL=0.0f,XOFF=0.0f,YOFF=0.0f;

Echtzeit echtzeit;

public void setup()
{
    noFill();
    stroke(255);
  
    SKAL = displayHeight/0.85f; //Tischdurchmesser == Screenhöhe
  
    strokeWeight(displayHeight*0.01f);
  
    sumo = new Sumo();
    integrator = new Integrator(sumo);

    y_alt[0] = 0.0;
    y_alt[1] = 0.0;
    y_alt[2] = 0.0;
    y_alt[3] = 0.0;
    y_alt[4] = 0.0;
    y_alt[5] = 0.0;
    
    orientation(LANDSCAPE);
    
    echtzeit = new Echtzeit();
    
    frameRate(25);
    size(displayWidth, displayHeight);
}

public void draw()
{
    clear();
    fill(0);
    rect(0,0,displayWidth,displayHeight);
    noFill();
    ellipse(displayWidth/2, displayHeight/2,displayHeight,displayHeight);
    drawFahrzeug();    
}

public void keyPressed()
{
          if(key==CODED)
          {
              if(keyCode==UP)
              {
               sumo.PWM_L = 799.0;
               sumo.PWM_R = 799.0;
              }
              else if(keyCode==DOWN)
              {
               sumo.PWM_L = -799.0;
               sumo.PWM_R = -799.0;
              }
              else if(keyCode==LEFT)
              {
               sumo.PWM_L = -799.0;
               sumo.PWM_R = 799.0;
              }
              else if(keyCode==RIGHT)
              {
               sumo.PWM_L = 799.0;
               sumo.PWM_R = -799.0;
              }
           }
}

public void keyReleased()
{
    sumo.PWM_L = 0.0;
    sumo.PWM_R = 0.0;
}
