anzahl_schritte = 1500;

//Verstärkungsfaktor, mit dem die pwm-Werte multipliziert werden,
//um die Antriebskraft zu erhalten:
PWMFAKTOR = 0.01; //gesuchter Parameter. Dies ist der Startwert.

//Linearfaktor für den Dämpfungsterm in jedem Punkt A,B,C,D:
DAMP      = 10.0;  //gesuchter Parameter. Dies ist der Startwert.

param_start = [PWMFAKTOR    DAMP];

delta = [param_start'*0.05,param_start'*0.05];

param = param_start;
param_neu = param;

fehler = berechneFehler(param);
disp("Fehler vor Optimierung:");
disp(fehler);
fehler_neu = fehler;

for i=1:1:anzahl_schritte
    pnumber    = 1+ floor(grand(1, 1, "unf", 0, 1.999999999));
    prichtung  = 2*floor(grand(1, 1, "unf", 0, 1.999999999))-1;
    prichtung_index = (prichtung+1)/2 + 1;

    param_neu = param;
    param_neu(pnumber) = param_neu(pnumber) + prichtung*delta(pnumber,prichtung_index);
    fehler_neu = berechneFehler(param_neu);

    if ( fehler_neu <= fehler ) then
        fehler = fehler_neu;
        param  = param_neu;
        delta(pnumber,prichtung_index) = delta(pnumber,prichtung_index)*1.1;

        disp("Schritt");
        disp(i);
        disp("Fehler");
        disp(fehler);

    else
        delta(pnumber,prichtung_index) = delta(pnumber,prichtung_index)*0.9;
    end
end

fehler = berechneFehler(param_start);
disp("Fehler vor Optimierung:");
disp(fehler);


fehler = berechneFehler(param);
disp("Fehler nach Optimierung:");
disp(fehler);

disp("Ergebnis:");

PWMFAKTOR = param(1);
DAMP      = param(2);

disp(PWMFAKTOR);
disp(DAMP);

zeigeFehler(param);

disp(PWMFAKTOR);
disp(DAMP);




